# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Site Announcements

### Merry Christmas, Happy Hannukah, Happy Holidays, etc - Page 1

Previous Page

- 1

Next Page

#### Merry Christmas, Happy Hannukah, Happy Holidays, etc

Posted by: Abwayax
Date: 2006-12-25 16:58:12
On behalf of the Glitch City Labs website and forum team, I would like to wish every visitor to this website a Happy Holiday.
-Abwayax

#### Re: Merry Christmas, Happy Hannukah, Happy Holidays, etc

Posted by: pokemon_yellow
Date: 2006-12-30 11:42:01
Why don't you just say happy holidays all together?
Previous Page

- 1

Next Page